org.bouncycastle.asn1.x509

## Class GeneralNames

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.GeneralNames

All Implemented Interfaces:
  DEREncodable

    public class GeneralNames
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`GeneralNames(ASN1Sequence seq)`
`GeneralNames(GeneralName name)` Construct a GeneralNames object containing one GeneralName.

### Method Summary

Methods
`static GeneralNames` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static GeneralNames` `getInstance(java.lang.Object obj)`
`GeneralName[]` `getNames()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.
`java.lang.String` `toString()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GeneralNames

    public GeneralNames(GeneralName name)

Construct a GeneralNames object containing one GeneralName.

Parameters:
  `name` - the name to be contained.

#### GeneralNames

    public GeneralNames(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static GeneralNames getInstance(java.lang.Object obj)

#### getInstance

    public static GeneralNames getInstance(ASN1TaggedObject obj,
                           boolean explicit)

#### getNames

    public GeneralName[] getNames()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     GeneralNames ::= SEQUENCE SIZE {1..MAX} OF GeneralName

Specified by:
  `toASN1Object` in class `ASN1Encodable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`